logo
Добро пожаловать, Гость! Чтобы использовать все возможности Вход или Регистрация.

Уведомление

Icon
Error

Опции
К последнему сообщению К первому непрочитанному
Offline carabineer  
#1 Оставлено : 21 апреля 2017 г. 18:00:34(UTC)
carabineer

Статус: Новичок

Группы: Участники
Зарегистрирован: 21.04.2017(UTC)
Сообщений: 4

Сказал(а) «Спасибо»: 2 раз
Доброго времени суток!

Из-за изменения внутреннего Zend API для описания объектов в PHP7 (в частности, убрали структуру zend_object_value и изменили макрос RETURN_STRING) расширение для ЭЦП SDK
не компилируется под PHP7, а многие последние версии дистрибутивов Linux (например, Ubuntu) уже даже не включают в репозитории пакет PHP5.

Конечно, можно было бы поправить исходники расширения самостоятельно, но к сожалению код, описывающий объекты и использующий zend_object_value разбросан в 168 местах в 112 файлах :(

Будут ли подвижки по данному вопросу? (поиск показывает, что похожий вопрос уже задавали полгода назад).

Offline cross  
#2 Оставлено : 24 апреля 2017 г. 14:36:40(UTC)
cross


Статус: Сотрудник

Группы: Администраторы, Участники
Зарегистрирован: 24.11.2009(UTC)
Сообщений: 627
Откуда: Crypto-Pro

Сказал(а) «Спасибо»: 2 раз
Поблагодарили: 95 раз в 87 постах
Патч для 7 версии сделаем, но по срокам точно не скажу.
Анатолий Беляев (cross на cryptopro.ru)
thanks 1 пользователь поблагодарил cross за этот пост.
carabineer оставлено 24.04.2017(UTC)
Offline carabineer  
#3 Оставлено : 24 апреля 2017 г. 17:27:07(UTC)
carabineer

Статус: Новичок

Группы: Участники
Зарегистрирован: 21.04.2017(UTC)
Сообщений: 4

Сказал(а) «Спасибо»: 2 раз
Автор: cross Перейти к цитате
Патч для 7 версии сделаем, но по срокам точно не скажу.


Спасибо за ответ, будем ждать...

RSS Лента  Atom Лента
Пользователи, просматривающие эту тему
Быстрый переход  
Вы не можете создавать новые темы в этом форуме.
Вы не можете отвечать в этом форуме.
Вы не можете удалять Ваши сообщения в этом форуме.
Вы не можете редактировать Ваши сообщения в этом форуме.
Вы не можете создавать опросы в этом форуме.
Вы не можете голосовать в этом форуме.